# Generated from mtime_cache-1.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name mtime_cache

Name: rubygem-%{gem_name}
Version: 1.0.2
Release: 1%{?dist}
Summary: Cache file mtimes. Helps caching build artifacts on a CIS
License: MIT
URL: https://github.com/iboB/mtime_cache
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
mtime_cache creates a cache of file modification times, based on a glob
pattern.
If a cache exists it updates unchanged files (unchanged based on MD5 hash)
with
the time from the cache.
This is useful if you cache your build artifacts for a build process which
detects changes based on source modification time (such as most C or C++ build
systems) on a continuous integration service (such as Travis CI), which clones
the repo for every build.
When the repo is cloned, all source files have a modification time equal to
the
current time, making the cached build artifacts (for example .o files)
obsolete.
mtime_cache allows you to cache the modification times of the files, enabling
a
minimal rebuild for each clone.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/mtime_cache
%{gem_instdir}/bin
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Tue Sep 14 2021 mockbuilder - 1.0.2-1
- Initial package
